Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Class EdgeMRTMPHandler

    java.lang.Object
      org.apache.mina.core.service.IoHandlerAdapter
          org.red5.server.net.mrtmp.EdgeMRTMPHandler

All Implemented Interfaces:
  IoHandler, Constants

    public class EdgeMRTMPHandler

extends IoHandlerAdapter
implements Constants

Author:
  Steven Gong (steven.gong@gmail.com)

Field Summary

Fields inherited from interface org.red5.server.net.rtmp.message.Constants
`HANDSHAKE_SIZE, HEADER_CONTINUE, HEADER_NEW, HEADER_SAME_SOURCE, HEADER_TIMER_CHANGE, MEDIUM_INT_MAX, SO_CLIENT_CLEAR_DATA, SO_CLIENT_DELETE_DATA, SO_CLIENT_INITIAL_DATA, SO_CLIENT_SEND_MESSAGE, SO_CLIENT_STATUS, SO_CLIENT_UPDATE_ATTRIBUTE, SO_CLIENT_UPDATE_DATA, SO_CONNECT, SO_DELETE_ATTRIBUTE, SO_DISCONNECT, SO_SEND_MESSAGE, SO_SET_ATTRIBUTE, SOURCE_TYPE_LIVE, SOURCE_TYPE_VOD, TYPE_ABORT, TYPE_AGGREGATE, TYPE_AUDIO_DATA, TYPE_BYTES_READ, TYPE_CHUNK_SIZE, TYPE_CLIENT_BANDWIDTH, TYPE_FLEX_MESSAGE, TYPE_FLEX_SHARED_OBJECT, TYPE_FLEX_STREAM_SEND, TYPE_INVOKE, TYPE_NOTIFY, TYPE_PING, TYPE_SERVER_BANDWIDTH, TYPE_SHARED_OBJECT, TYPE_STREAM_METADATA, TYPE_VIDEO_DATA`

Constructor Summary
`EdgeMRTMPHandler()`

Method Summary
`void` | `messageReceived(IoSession session, Object message)`
`void` | `messageSent(IoSession session, Object message)`
`void` | `sessionClosed(IoSession session)`
`void` | `sessionCreated(IoSession session)`
`void` | `setCodecFactory(ProtocolCodecFactory codecFactory)`
`void` | `setMrtmpManager(IMRTMPEdgeManager mrtmpManager)`
`void` | `setRtmpConnManager(IRTMPConnManager rtmpConnManager)`

Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter
`exceptionCaught, sessionIdle, sessionOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeMRTMPHandler

    public EdgeMRTMPHandler()

Method Detail

### setCodecFactory

    public void setCodecFactory(ProtocolCodecFactory codecFactory)

### setMrtmpManager

    public void setMrtmpManager(IMRTMPEdgeManager mrtmpManager)

### setRtmpConnManager

    public void setRtmpConnManager(IRTMPConnManager rtmpConnManager)

### messageReceived

    public void messageReceived(IoSession session,
                                Object message)
                         throws Exception

  Specified by:
    `messageReceived` in interface `IoHandler`
  Overrides:
    `messageReceived` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### messageSent

    public void messageSent(IoSession session,
                            Object message)
                     throws Exception

  Specified by:
    `messageSent` in interface `IoHandler`
  Overrides:
    `messageSent` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### sessionClosed

    public void sessionClosed(IoSession session)
                       throws Exception

  Specified by:
    `sessionClosed` in interface `IoHandler`
  Overrides:
    `sessionClosed` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### sessionCreated

    public void sessionCreated(IoSession session)
                        throws Exception

  Specified by:
    `sessionCreated` in interface `IoHandler`
  Overrides:
    `sessionCreated` in class `IoHandlerAdapter`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project